## audmes 2021.11.04

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)

project(AudMeS)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(AM_SOURCES
	AudMeS.cpp
	CtrlOScope.cpp
	dlg_audiointerface.cpp
	fourier.c
	RWAudio_IO.cpp
	rtaudio/RtAudio.cpp
)

include_directories(.) # for local libfccp

# Default build type is Release
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   set(CMAKE_BUILD_TYPE "Release")
endif()

if (WIN32)
	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
	string(REPLACE "\\" "/" HDIR $ENV{HOMEDRIVE}$ENV{HOMEPATH})
	set(wxWidgets_ROOT_DIR "${HDIR}/projects/wx3.0.5")
	set(wxWidgets_LIB_DIR "${wxWidgets_ROOT_DIR}/lib/gcc810_dll")
	set(wxWidgets_CONFIGURATION mswu)
endif()

if (${APPLE})
	set(audmes_icon "${CMAKE_CURRENT_SOURCE_DIR}/audmes.icns")
	set(AM_SOURCES ${audmes_icon} ${AM_SOURCES})
endif()

find_package(wxWidgets COMPONENTS core base REQUIRED)
include("${wxWidgets_USE_FILE}")

add_executable(${PROJECT_NAME} MACOSX_BUNDLE ${AM_SOURCES})

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
	add_definitions(-D__LINUX_ALSA__ -D__LINUX_PULSE__ -D__LINUX__ -DHAVE_GETTIMEOFDAY)
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES} asound pulse pulse-simple)
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall -Wextra)
endif()

if (${APPLE})
	add_definitions(-D__MACOSX_CORE__ -DHAVE_GETTIMEOFDAY)
	find_library(COREAUDIO_LIB CoreAudio)
	find_library(COREFOUNDATION_LIB CoreFoundation)
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES} ${COREAUDIO_LIB} ${COREFOUNDATION_LIB})
	set_source_files_properties(${audmes_icon} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
	# Create app Bundle but skip signing
	set_target_properties(${PROJECT_NAME} PROPERTIES
		MACOSX_BUNDLE TRUE
		XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY ""
		MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
	)
endif()

if (MINGW)
	add_definitions(-D__WINDOWS_WASAPI__ -D__WXMSW__)
	target_link_libraries(${PROJECT_NAME} -mwindows -static ${wxWidgets_LIBRARIES} ksuser mfplat mfuuid wmcodecdspuuid)
endif()

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
	install(FILES "audmes.desktop" DESTINATION "share/applications")
	install(FILES "README.md" DESTINATION "share/doc/audmes")
	install(FILES "NEWS" DESTINATION "share/doc/audmes")
	install(FILES "audmes.png" DESTINATION "share/pixmaps")
	install(FILES "audmes.png" DESTINATION "share/icons/hicolor/128x128/apps/")

	set(CPACK_GENERATOR "DEB")
	set(CPACK_DEBIAN_PACKAGE_VERSION "2021-11-04")
	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://sourceforge.net/projects/audmes/")
endif()

if (MINGW)
    set(CMAKE_INSTALL_PREFIX ".")
	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION "bin")
	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION "bin")
	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libwinpthread-1.dll" DESTINATION "bin")
	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libstdc++-6.dll" DESTINATION "bin")
	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libgcc_s_sjlj-1.dll" DESTINATION "bin")
	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxbase30u_gcc810.dll" DESTINATION "bin")
	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxmsw30u_core_gcc810.dll" DESTINATION "bin")
	set(CPACK_GENERATOR "ZIP")
endif()

if (APPLE)
	set(APP_NAME ${PROJECT_NAME})
	# Install app and libraries
	install(TARGETS ${APP_NAME}
	    BUNDLE DESTINATION . COMPONENT Runtime
	    RUNTIME DESTINATION bin COMPONENT Runtime
	)
	set(APPS "\${CMAKE_INSTALL_PREFIX}/${APP_NAME}.app")
	set(CMAKE_MACOSX_RPATH ON)
	set(DIRS ${CMAKE_BINARY_DIR})
	# Replace absolut library paths with relative to app paths
	install(CODE "include(BundleUtilities)
		set(BU_CHMOD_BUNDLE_ITEMS ON)
		fixup_bundle(\"${APPS}\" \"\" \"${DIRS}\")")
	# Add files to top level dmg directoy
	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION .)
	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" DESTINATION .)
	set(CPACK_GENERATOR "DragNDrop")
endif()

INCLUDE(CPack)

## audmes 0+git20200429

=== debian/changelog ===
audmes (0+git20200429-1) unstable; urgency=medium

  * Initial release. (Closes: #910876)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 29 Apr 2020 18:48:49 +0200

=== debian/control ===
Source: audmes
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libfccp-dev, wx3.0-headers, libwxgtk3.0-gtk3-dev, libasound2-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
Homepage: https://sourceforge.net/projects/audmes/

Package: audmes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUDio MEasurement System
 Multi-platfrom system for audio measurement through sound card in the
 PC. Incorporates Generator, Oscilloscope, FFT, Sweep frequency
 characteristic. Useful for measuring stereo and speaker performance.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f makefile.linux

## audmes 2021.11.04

=== debian/changelog ===
audmes (2021.11.04-2) unstable; urgency=medium

  * Source only upload.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 Dec 2021 06:21:21 +0100

audmes (2021.11.04-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2021.11.04
  * Remove patch, applied by upstream
  * Add a small manpage
  * Add keywords to the desktop file
  * debian/copyright:
    + audiolib directory renamed to rtaudio
    + Add myself to the debian/* section
  * Add salsa CI configuration

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Dec 2021 23:41:11 +0100

audmes (2021.03.14-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Bump debhelper version to 13.
  * d/control: add cmake to build-depends.
  * d/control: Drop myself from Uploaders.
  * d/watch: added.

  [ Dennis Braun ]
  * New upstream version 2021.03.14
  * Add myself as uploader
  * Wrap-and-sort B-Ds and Depends
  * Add libpulse-dev to B-Ds
  * Bump Standards-Version to 4.6.0
  * Clean d/rules
  * Fix spelling error

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Documented in d/control the build do not need root access.
  * Introduced patch naming scheme and updated spell error patch.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Oct 2021 08:06:29 +0200

=== debian/control ===
Source: audmes
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libfccp-dev,
	       libpulse-dev,
               libwxgtk3.0-gtk3-dev,
               wx3.0-headers
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
Homepage: https://sourceforge.net/projects/audmes/
Rules-Requires-Root: no

Package: audmes
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: AUDio MEasurement System
 Multi-platfrom system for audio measurement through sound card in the
 PC. Incorporates Generator, Oscilloscope, FFT, Sweep frequency
 characteristic. Useful for measuring stereo and speaker performance.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/swwa/audmes/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## audmes 2022.04.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,15 +18,14 @@
 
 # Default build type is Release
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
-   set(CMAKE_BUILD_TYPE "Release")
+	set(CMAKE_BUILD_TYPE "Release")
 endif()
+message("Build type is ${CMAKE_BUILD_TYPE}")
 
 if (WIN32)
 	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
-	string(REPLACE "\\" "/" HDIR $ENV{HOMEDRIVE}$ENV{HOMEPATH})
+	string(REPLACE "\\" "/" HDIR "$ENV{HOMEDRIVE}$ENV{HOMEPATH}")
 	set(wxWidgets_ROOT_DIR "${HDIR}/projects/wx3.0.5")
-	set(wxWidgets_LIB_DIR "${wxWidgets_ROOT_DIR}/lib/gcc810_dll")
-	set(wxWidgets_CONFIGURATION mswu)
 endif()
 
 if (${APPLE})
@@ -34,7 +33,7 @@
 	set(AM_SOURCES ${audmes_icon} ${AM_SOURCES})
 endif()
 
-find_package(wxWidgets COMPONENTS core base REQUIRED)
+find_package(wxWidgets REQUIRED core base)
 include("${wxWidgets_USE_FILE}")
 
 add_executable(${PROJECT_NAME} MACOSX_BUNDLE ${AM_SOURCES})
@@ -60,8 +59,13 @@
 endif()
 
 if (MINGW)
-	add_definitions(-D__WINDOWS_WASAPI__ -D__WXMSW__)
-	target_link_libraries(${PROJECT_NAME} -mwindows -static ${wxWidgets_LIBRARIES} ksuser mfplat mfuuid wmcodecdspuuid)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
+	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
+	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" "."
+	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -73,7 +77,7 @@
 	install(FILES "audmes.png" DESTINATION "share/icons/hicolor/128x128/apps/")
 
 	set(CPACK_GENERATOR "DEB")
-	set(CPACK_DEBIAN_PACKAGE_VERSION "2021-11-04")
+	set(CPACK_DEBIAN_PACKAGE_VERSION "2022-04-20")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
@@ -81,15 +85,20 @@
 endif()
 
 if (MINGW)
-    set(CMAKE_INSTALL_PREFIX ".")
-	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
-	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION "bin")
-	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libwinpthread-1.dll" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libstdc++-6.dll" DESTINATION "bin")
-	install(FILES "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin/libgcc_s_sjlj-1.dll" DESTINATION "bin")
-	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxbase30u_gcc810.dll" DESTINATION "bin")
-	install(FILES "${wxWidgets_ROOT_DIR}/lib/gcc810_dll/wxmsw30u_core_gcc810.dll" DESTINATION "bin")
+	if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+		message(WARNING "Installation only in **Release** builds supported")
+	endif()
+	set(CMAKE_INSTALL_PREFIX .)
+	install(TARGETS ${PROJECT_NAME} DESTINATION .)
+	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION .)
+	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION .)
+	# add runtime libraries - static linking does not work with wxWidgets binaries
+	set(MINGW_LIBS "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin")
+	install(FILES "${MINGW_LIBS}/libwinpthread-1.dll" DESTINATION .)
+	install(FILES "${MINGW_LIBS}/libstdc++-6.dll" DESTINATION .)
+	install(FILES "${MINGW_LIBS}/libgcc_s_sjlj-1.dll" DESTINATION .)
+	install(FILES "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" DESTINATION .)
+	install(FILES "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" DESTINATION .)
 	set(CPACK_GENERATOR "ZIP")
 endif()
 
@@ -97,8 +106,8 @@
 	set(APP_NAME ${PROJECT_NAME})
 	# Install app and libraries
 	install(TARGETS ${APP_NAME}
-	    BUNDLE DESTINATION . COMPONENT Runtime
-	    RUNTIME DESTINATION bin COMPONENT Runtime
+		BUNDLE DESTINATION . COMPONENT Runtime
+		RUNTIME DESTINATION bin COMPONENT Runtime
 	)
 	set(APPS "\${CMAKE_INSTALL_PREFIX}/${APP_NAME}.app")
 	set(CMAKE_MACOSX_RPATH ON)

=== debian/changelog ===
audmes (2022.04.20-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Switch to wx3.2

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Sep 2022 21:11:28 +0200

audmes (2022.04.20-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Reintroduce patch naming scheme README.

  [ Dennis Braun ]
  * New upstream version 2022.04.20

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:45:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                debhelper-compat (= 13),
                libasound2-dev,
                libfccp-dev,
-	       libpulse-dev,
-               libwxgtk3.0-gtk3-dev,
-               wx3.0-headers
-Standards-Version: 4.6.0
+               libpulse-dev,
+               libwxgtk3.2-dev,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/

## audmes 2022.10.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,17 @@
 
 set(AM_SOURCES
 	AudMeS.cpp
+	AudMeS.h
 	CtrlOScope.cpp
+	CtrlOScope.h
 	dlg_audiointerface.cpp
+	dlg_audiointerface.h
 	fourier.c
+	fourier.h
 	RWAudio_IO.cpp
+	RWAudio_IO.h
 	rtaudio/RtAudio.cpp
+	rtaudio/RtAudio.h
 )
 
 include_directories(.) # for local libfccp
@@ -35,8 +41,9 @@
 
 find_package(wxWidgets REQUIRED core base)
 include("${wxWidgets_USE_FILE}")
+message("wxWidgets lib settings: ${wxWidgets_LIBRARIES}")
 
-add_executable(${PROJECT_NAME} MACOSX_BUNDLE ${AM_SOURCES})
+add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${AM_SOURCES})
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	add_definitions(-D__LINUX_ALSA__ -D__LINUX_PULSE__ -D__LINUX__ -DHAVE_GETTIMEOFDAY)
@@ -58,6 +65,22 @@
 	)
 endif()
 
+if (MSVC)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__)
+	set(wxWidgets_EXCLUDE_COMMON_LIBRARIES TRUE)
+	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32)
+	if (EXISTS "${CMAKE_BINARY_DIR}/Release")
+		add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_vc142_x64.dll" "Release"
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30u_core_vc142_x64.dll" "Release")
+	endif()
+	if (EXISTS "${CMAKE_BINARY_DIR}/Debug")
+		add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_vc142_x64.dll" "Debug"
+		COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_vc142_x64.dll" "Debug")
+	endif()
+endif()
+
 if (MINGW)
 	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
 	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
@@ -68,6 +91,10 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
+set(CPACK_PACKAGE_VERSION_MAJOR "2022")
+set(CPACK_PACKAGE_VERSION_MINOR "10")
+set(CPACK_PACKAGE_VERSION_PATCH "09")
+
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
 	install(FILES "audmes.desktop" DESTINATION "share/applications")
@@ -77,7 +104,6 @@
 	install(FILES "audmes.png" DESTINATION "share/icons/hicolor/128x128/apps/")
 
 	set(CPACK_GENERATOR "DEB")
-	set(CPACK_DEBIAN_PACKAGE_VERSION "2022-04-20")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")

=== debian/changelog ===
audmes (2022.10.09-1) unstable; urgency=medium

  * New upstream version 2022.10.09
  * Mark libasound2-dev as linux-any

 -- Dennis Braun <snd@debian.org>  Mon, 28 Nov 2022 21:46:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <d_braun@kabelmail.de>
+Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libasound2-dev,
+               libasound2-dev [linux-any],
                libfccp-dev,
                libpulse-dev,
                libwxgtk3.2-dev,

## audmes 2023.04.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,15 @@
 include("${wxWidgets_USE_FILE}")
 message("wxWidgets lib settings: ${wxWidgets_LIBRARIES}")
 
+find_path(FCCP
+	libfccp/csv.h
+	HINTS .
+	)
+if (NOT FCCP)
+	message(FATAL_ERROR "Could not find libfccp, please see README.md.")
+endif()
+message("libfccp found ${FCCP}")
+
 add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${AM_SOURCES})
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -82,8 +91,8 @@
 endif()
 
 if (MINGW)
-	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__ -D__WXMSW__)
-	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid)
+	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__)
+	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32)
 	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" "."
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_gcc810.dll" "."
@@ -91,8 +100,8 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
-set(CPACK_PACKAGE_VERSION_MAJOR "2022")
-set(CPACK_PACKAGE_VERSION_MINOR "10")
+set(CPACK_PACKAGE_VERSION_MAJOR "2023")
+set(CPACK_PACKAGE_VERSION_MINOR "04")
 set(CPACK_PACKAGE_VERSION_PATCH "09")
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")

=== debian/changelog ===
audmes (2023.04.09-1) unstable; urgency=medium

  * New upstream version 2023.04.09
  * Bump Standards-Version to 4.6.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 22:35:55 +0200

## audmes 2024.02.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
 	RWAudio_IO.h
 	rtaudio/RtAudio.cpp
 	rtaudio/RtAudio.h
+	sma_2d.cpp
+	sma_2d.h
 )
+
+add_subdirectory (tests)
 
 include_directories(.) # for local libfccp
 
@@ -27,6 +31,10 @@
 	set(CMAKE_BUILD_TYPE "Release")
 endif()
 message("Build type is ${CMAKE_BUILD_TYPE}")
+
+if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+	add_definitions(-D_DEBUG)
+endif()
 
 if (WIN32)
 	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
@@ -100,13 +108,14 @@
 	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
 endif()
 
-set(CPACK_PACKAGE_VERSION_MAJOR "2023")
-set(CPACK_PACKAGE_VERSION_MINOR "04")
-set(CPACK_PACKAGE_VERSION_PATCH "09")
+set(CPACK_PACKAGE_VERSION_MAJOR "2024")
+set(CPACK_PACKAGE_VERSION_MINOR "02")
+set(CPACK_PACKAGE_VERSION_PATCH "18")
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
 	install(FILES "audmes.desktop" DESTINATION "share/applications")
+	install(FILES "net.sourceforge.audmes.audmes.appdata.xml" DESTINATION "share/appdata")
 	install(FILES "README.md" DESTINATION "share/doc/audmes")
 	install(FILES "NEWS" DESTINATION "share/doc/audmes")
 	install(FILES "audmes.png" DESTINATION "share/pixmaps")
@@ -115,7 +124,7 @@
 	set(CPACK_GENERATOR "DEB")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "swwa")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "sound")
-	set(CPACK_DEBIAN_PACKAGE_DEPENDS "pulseaudio, libwxgtk3.0-0v5")
+	set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS YES)
 	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://sourceforge.net/projects/audmes/")
 endif()

=== tests/CMakeLists.txt ===
add_executable (sma_2d_test sma_2d_test.cpp ../sma_2d.cpp)

=== debian/changelog ===
audmes (2024.02.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:07 +1100

audmes (2024.02.18-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:29:50 +0000

audmes (2024.02.18-1) unstable; urgency=medium

  * New upstream version 2024.02.18

 -- Dennis Braun <snd@debian.org>  Fri, 23 Feb 2024 14:36:23 +0100

audmes (2023.10.24-2) unstable; urgency=medium

  * Install appdata file to correct directory
  * d/copyright: Add appdata file and CC0 license

 -- Dennis Braun <snd@debian.org>  Tue, 07 Nov 2023 21:24:52 +0100

audmes (2023.10.24-1) unstable; urgency=medium

  * New upstream version 2023.10.24

 -- Dennis Braun <snd@debian.org>  Wed, 01 Nov 2023 20:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: audmes
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <snd@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -9,7 +10,7 @@
                libfccp-dev,
                libpulse-dev,
                libwxgtk3.2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# Move appdata file to new location
	mkdir -p debian/audmes/usr/share/metainfo
	mv debian/audmes/usr/share/appdata/net.sourceforge.audmes.audmes.appdata.xml \
		debian/audmes/usr/share/metainfo/
	rm -fr debian/audmes/usr/share/appdata

## audmes 2025.04.05

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,30 @@
-cmake_minimum_required (VERSION 3.1)
+cmake_minimum_required (VERSION 3.10)
 
 project(AudMeS)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(AM_SOURCES
+set(CPP_SOURCES
 	AudMeS.cpp
 	AudMeS.h
 	CtrlOScope.cpp
 	CtrlOScope.h
 	dlg_audiointerface.cpp
 	dlg_audiointerface.h
+	RWAudio_IO.cpp
+	RWAudio_IO.h
+	sma_2d.cpp
+	sma_2d.h
+	)
+
+set(AM_SOURCES
+	${CPP_SOURCES}
+	rtaudio/RtAudio.cpp
+	rtaudio/RtAudio.h
 	fourier.c
 	fourier.h
-	RWAudio_IO.cpp
-	RWAudio_IO.h
-	rtaudio/RtAudio.cpp
-	rtaudio/RtAudio.h
-	sma_2d.cpp
-	sma_2d.h
-)
+	)
 
 add_subdirectory (tests)
 
@@ -38,8 +42,12 @@
 
 if (WIN32)
 	set(AM_SOURCES ${AM_SOURCES} audmes.rc)
-	string(REPLACE "\\" "/" HDIR "$ENV{HOMEDRIVE}$ENV{HOMEPATH}")
-	set(wxWidgets_ROOT_DIR "${HDIR}/projects/wx3.0.5")
+	set(wxWidgets_USE_LIBS ON)
+endif()
+
+if (MINGW)
+	execute_process(COMMAND bash -c "wx-config --prefix | tr -d '\n'" OUTPUT_VARIABLE MINGW_DIR)
+	message("wxWidgets dir settings: ${MINGW_DIR}")
 endif()
 
 if (${APPLE})
@@ -79,7 +87,7 @@
 		MACOSX_BUNDLE TRUE
 		XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY ""
 		MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
-	)
+		)
 endif()
 
 if (MSVC)
@@ -100,17 +108,16 @@
 
 if (MINGW)
 	add_definitions(-D__WINDOWS_WASAPI__ -D__WINDOWS_DS__)
-	target_link_libraries(${PROJECT_NAME} -mwindows ${wxWidgets_LIBRARIES} dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32)
-	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
-	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" "."
-	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxbase30ud_gcc810.dll" "."
-	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" "."
-	COMMAND ${CMAKE_COMMAND} -E copy "${wxWidgets_LIB_DIR}/wxmsw30ud_core_gcc810.dll" ".")
+	target_link_libraries(
+		${PROJECT_NAME}
+		${wxWidgets_LIBRARIES}
+		dsound ksuser mfplat mfuuid wmcodecdspuuid winmm ole32
+		)
 endif()
 
-set(CPACK_PACKAGE_VERSION_MAJOR "2024")
-set(CPACK_PACKAGE_VERSION_MINOR "02")
-set(CPACK_PACKAGE_VERSION_PATCH "18")
+set(CPACK_PACKAGE_VERSION_MAJOR "2025")
+set(CPACK_PACKAGE_VERSION_MINOR "04")
+set(CPACK_PACKAGE_VERSION_PATCH "05")
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
 	install(TARGETS ${PROJECT_NAME} DESTINATION "bin")
@@ -129,20 +136,31 @@
 endif()
 
 if (MINGW)
-	if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
-		message(WARNING "Installation only in **Release** builds supported")
-	endif()
+	#if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+	#	message(WARNING "Installation only in **Release** builds supported")
+	#endif()
 	set(CMAKE_INSTALL_PREFIX .)
 	install(TARGETS ${PROJECT_NAME} DESTINATION .)
 	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION .)
 	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" RENAME "NEWS.txt" DESTINATION .)
 	# add runtime libraries - static linking does not work with wxWidgets binaries
-	set(MINGW_LIBS "c:/Program Files (x86)/mingw-w64/i686-8.1.0-posix-sjlj-rt_v6-rev0/mingw32/bin")
-	install(FILES "${MINGW_LIBS}/libwinpthread-1.dll" DESTINATION .)
-	install(FILES "${MINGW_LIBS}/libstdc++-6.dll" DESTINATION .)
-	install(FILES "${MINGW_LIBS}/libgcc_s_sjlj-1.dll" DESTINATION .)
-	install(FILES "${wxWidgets_LIB_DIR}/wxbase30u_gcc810.dll" DESTINATION .)
-	install(FILES "${wxWidgets_LIB_DIR}/wxmsw30u_core_gcc810.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libgcc_s_dw2-1.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libstdc++-6.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libwinpthread-1.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/wxbase32u_gcc_custom.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/wxmsw32u_core_gcc_custom.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/liblzma-5.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/zlib1.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libjpeg-8.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libpcre2-16-0.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libpng16-16.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libtiff-6.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libdeflate.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libjbig-0.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libLerc.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libzstd.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libwebp-7.dll" DESTINATION .)
+	install(FILES "${MINGW_DIR}/bin/libsharpyuv-0.dll" DESTINATION .)
 	set(CPACK_GENERATOR "ZIP")
 endif()
 
@@ -152,18 +170,25 @@
 	install(TARGETS ${APP_NAME}
 		BUNDLE DESTINATION . COMPONENT Runtime
 		RUNTIME DESTINATION bin COMPONENT Runtime
-	)
+		)
 	set(APPS "\${CMAKE_INSTALL_PREFIX}/${APP_NAME}.app")
 	set(CMAKE_MACOSX_RPATH ON)
 	set(DIRS ${CMAKE_BINARY_DIR})
 	# Replace absolut library paths with relative to app paths
 	install(CODE "include(BundleUtilities)
 		set(BU_CHMOD_BUNDLE_ITEMS ON)
-		fixup_bundle(\"${APPS}\" \"\" \"${DIRS}\")")
+		fixup_bundle(\"${APPS}\" \"\" \"${DIRS}\")"
+		)
 	# Add files to top level dmg directoy
 	install(FILES "${CMAKE_SOURCE_DIR}/README.md" DESTINATION .)
 	install(FILES "${CMAKE_SOURCE_DIR}/NEWS" DESTINATION .)
 	set(CPACK_GENERATOR "DragNDrop")
 endif()
 
+add_custom_target(
+	clang-tidy-check cd ..\; clang-tidy -p ${CMAKE_BINARY_DIR}/compile_commands.json ${CPP_SOURCES} DEPENDS ${CPP_SOURCES}
+	)
+
+add_custom_target(check DEPENDS clang-tidy-check)
+
 INCLUDE(CPack)

=== tests/CMakeLists.txt ===
add_executable (sma_2d_test EXCLUDE_FROM_ALL sma_2d_test.cpp ../sma_2d.cpp)

=== debian/changelog ===
audmes (2025.04.05-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Added myself as uplaoder.

  [ Dennis Braun ]
  * New upstream version 2025.04.05
  * Add librtaudio-dev to B-Ds
  * Fix the appdata file
  * Bump Standards-Version to 4.7.2
  * Building test currently fails on debian, so we disable it
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Mon, 14 Apr 2025 23:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: audmes
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Dennis Braun <snd@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <snd@debian.org>, Petter Reinholdtsen <pere@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libfccp-dev,
                libpulse-dev,
+	       librtaudio-dev,
                libwxgtk3.2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/audmes.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audmes
 Homepage: https://sourceforge.net/projects/audmes/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+	# Building test currently fails on debian, so we disable it
+
 execute_after_dh_auto_install:
 	# Move appdata file to new location
 	mkdir -p debian/audmes/usr/share/metainfo
